/* controlpoint
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#ifndef CONTROLPOINT_H
#define CONTROLPOINT_H

/**
	@author Herve Lombaert <herve.lombaert@polymtl.ca>
 */
class ControlPoint{
public:
	ControlPoint(float x=0, float y=0, float dx=0, float dy=0)
	: x(x), y(y), dx(dx), dy(dy) {}
		
	float x,y; // current control point position, p1
	float dx,dy; // displacement from its original position, dp = p1-p0
};

#endif
