/* displaycontrolpoint
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#ifndef DISPLAYCONTROLPOINT_H
#define DISPLAYCONTROLPOINT_H

#include "controlpoint.h"
#include <vector>

/**
	@author Herve Lombaert <herve.lombaert@polymtl.ca>
*/
class DisplayControlPoint{
public:
	DisplayControlPoint(const std::vector<ControlPoint>* controlPoints);
	~DisplayControlPoint();
	
	void display();
	
private:
	const std::vector<ControlPoint>* m_controlPoints;
};

#endif
