/* griduiaction
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#ifndef GRIDUIACTION_H
#define GRIDUIACTION_H

#include "grid.h"

/**
	@author Herve Lombaert <herve.lombaert@polymtl.ca>
*/
class GridUIAction{
public:
	GridUIAction(Grid* grid);
	~GridUIAction();

	void beginMotion(float pos[0]); // set the control point
	void motion(float pos[0]); // move the control point and deform grid

private:
	Grid* m_grid;
	int m_point[2]; // index (i,j) of the deformed control point
};

#endif
