/* deformimagewithgrid
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#ifndef DEFORMIMAGEWITHGRID_H
#define DEFORMIMAGEWITHGRID_H

#include "image.h"
#include "grid.h"
#include "thinplatespline.h"

/**
	@author Herve Lombaert <herve.lombaert@polymtl.ca>
*/
class DeformImageWithGrid{
public:
	DeformImageWithGrid(const Image* image, const Grid* grid);
	~DeformImageWithGrid();
	
	const int* getSize() const;
	unsigned char get(int i, int j) const;

public:
	void update();

private:
	const Image* m_image;
	const Grid* m_grid;
	ThinPlateSpline* m_dx; // x displacement
	ThinPlateSpline* m_dy; // y displacement
};

#endif
