/* griduiaction
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#include "griduiaction.h"

GridUIAction::GridUIAction(Grid* grid)
:	m_grid(grid)
{
	// Initialize with a wrong value
	m_point[0] = -1;
	m_point[1] = -1;
}


GridUIAction::~GridUIAction()
{
}


void GridUIAction::beginMotion(float pos[0]) // set the control point
{
	// Check where is the closest point on grid
	m_grid->getClosestControlPoint(pos, m_point[0], m_point[1]);
}


void GridUIAction::motion(float pos[0]) // move the control point and deform grid
{
	// Change the position of a the deformed control point
	m_grid->setPointPosition(m_point[0], m_point[1], pos);
}
