/* image
 * $AUTHORS$, Tue Jun 6 2006
 *
 */
#ifndef IMAGE_H
#define IMAGE_H

/**
	@author Herve Lombaert <herve.lombaert@polymtl.ca>
*/
class Image{
public:
	Image(int width=0, int height=0);
	~Image();

	void setSize(int width, int height);
	const int* getSize() const;
	unsigned char get(int i, int j) const;
	void set(int i, int j, unsigned char val);

private:
	unsigned char* m_data; // image data
	int m_size[2]; // image size (width, height)

};

#endif
